# preact-mdc

## Overview

This is a [preact](https://github.com/developit/preact) integration of the awesome [material-components-web](https://github.com/material-components/material-components-web) material design components library.

## material-design-components-web

This library is the successor of the awesome but now depricated [material-design-lite](https://github.com/google/material-design-lite) library. 

## Goals

We try to provide all available components from `material-design-components-web` as pure `preact` components.
We try to not use any of the MDC `javascript` code but only use the MDC `sass` styles.

## Components

- Button
- Card
  - CardAction
  - CardActions
  - CardHorizontalBlock
  - CardMedia
  - CardMediaItem
  - CardPrimary
  - CardSubtitle
  - CardSupportingText
  - CardTitle
- Checkbox
- CheckboxLabel
- Drawer
  - DrawerContent
  - DrawerHeader
  - DrawerToolbarSpacer
- Fab
- FormField
- IconToggle
- List
  - ListDivider
  - ListGroup
  - ListGroupDivider
  - ListGroupHeader
  - ListItem
  - ListItemDetail
  - ListItemText
  - ListItemTextPrimary
  - ListItemTextSecondary
- Radio
- Snackbar
- Switch
- TextField
- Toolbar
  - ToolbarRow
  - ToolbarSection
  - ToolbarTitle

## Usage

At the moment we directly provide the components written in ES6 as individual modules.

- Add this library to your project

` npm install --save preact-mdc`

# Contributing

You are very welcome to report issues, make PRs and become a contributor.
